For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList online players
      • GETWho Am I
      • GETGet player profile
      • GETList a player's characters
      • GETGet detailed character data
      • GETGet character ability map
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesPlayer

List a player's characters

GET
https://api.wynncraft.com/v3/player/:username/characters
GET
/v3/player/:username/characters
$curl https://api.wynncraft.com/v3/player/username/characters
1{
2 "5b6ab8a0-8f7c-4f50-bd2c-bfabe22d74bc": {
3 "type": "ASSASSIN",
4 "reskin": "NINJA",
5 "nickname": "Neplicopter",
6 "level": 106,
7 "xp": 53307528,
8 "xpPercent": 100,
9 "totalLevel": 369,
10 "gamemode": [],
11 "meta": {
12 "died": false
13 }
14 }
15}
<Note> This endpoint is cached for <Badge intent="success" minimal>2 minutes</Badge> in the <Badge intent="warning" minimal>USER</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>PLAYER</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> <Warning> This response can be restricted by player [Access Rules](/privacy). </Warning> <Info> It is recommended to request players by UUID. Username lookups can return `300 MultipleObjectsReturned` with a multi-selector response when more than one player matches the query. </Info> Returns the player's characters keyed by character UUID.
Was this page helpful?
Previous

Get player profile

Next

Get detailed character data

Built with

This endpoint is cached for 2 minutes in the USER cache source. See Caching.

This endpoint belongs to the PLAYER rate-limit bucket. See Throttling and Rate Limits.

This response can be restricted by player Access Rules.

It is recommended to request players by UUID. Username lookups can return 300 MultipleObjectsReturned with a multi-selector response when more than one player matches the query.

Returns the player’s characters keyed by character UUID.

Path parameters

usernamestringRequired
Username or UUID accepted by the player route.

Response

Character map keyed by character UUID.
typestring
reskinstring or null
nicknamestring or null
levelinteger
xpinteger
xpPercentinteger
totalLevelinteger
gamemodelist of strings
metaobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error